<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Models\Form;
use Carbon\Carbon;

class ExpireForms extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'expire:forms';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Expire forms that have reached their expiry date';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        // Get forms that have expiry date less than or equal to the current date
        $expiredForms = Form::where('expiry_date', '<=', now())->get();

        foreach ($expiredForms as $form) {
            // Update the status to 0 for expired forms
            $form->update(['status' => 0]);
        }

        $this->info('Expired forms updated successfully.');
    }
}
