<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('forms', function (Blueprint $table) {
            $table->id();

            $table->id();
            $table->string('name');
            $table->string('company_name')->nullable();
            $table->string('company_name_url', 250)->nullable();
            $table->string('photo')->nullable();
            $table->string('logo')->nullable();
            $table->string('photo_1')->nullable();
            $table->string('photo_2')->nullable();
            $table->string('photo_3')->nullable();
            $table->string('photo_4')->nullable();
            $table->string('photo_5')->nullable();
            $table->string('photo_6')->nullable();
            $table->string('photo_7', 100)->nullable();
            $table->string('photo_8', 100)->nullable();
            $table->string('banner', 100)->nullable();
            $table->string('profile_upload')->nullable();
            $table->string('video_1')->nullable();
            $table->string('video_2')->nullable();
            $table->string('video_3', 200)->nullable();
            $table->string('video_4', 200)->nullable();
            $table->string('file_1')->nullable();
            $table->string('email_id')->nullable();
            $table->string('designation')->nullable();
            $table->string('mobile_number', 21)->nullable();
            $table->string('facebook_link')->nullable();
            $table->string('website_link')->nullable();
            $table->string('instagram_link')->nullable();
            $table->string('linkedin_link')->nullable();
            $table->string('twitter_link')->nullable();
            $table->string('youtube_link')->nullable();
            $table->string('phone_number')->nullable();
            $table->text('short_description')->nullable();
            $table->date('expiry_date')->nullable();
            $table->boolean('is_approved')->default(false);
            $table->boolean('status')->default(false);
            $table->timestamps();
            $table->integer('vendor_id')->nullable();
            $table->string('google_review_link', 250)->nullable();
            $table->binary('payment_qr_code')->nullable();
            $table->text('payment_upi_id')->nullable();
            $table->string('payment_link', 250)->nullable();
            $table->integer('template_id')->nullable();
            $table->text('color_code')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('location', 300)->nullable();
            $table->text('address')->nullable();
            $table->string('services', 200)->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('forms');
    }
};
